Bug 196192 - Clean & Build module should not reload it
Clean & Build module should not reload it
Status: RESOLVED FIXED
Product: apisupport
Classification: Unclassified
Component: Harness
7.0
All All
: P1 (vote)
: 7.0
Assigned To: Jesse Glick
issues@apisupport
:
Depends on:
Blocks: 195074
  Show dependency treegraph
 
Reported: 2011-03-02 19:50 UTC by Jesse Glick
Modified: 2011-03-04 05:45 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Glick 2011-03-02 19:50:05 UTC
The reload target in the Ant-based harness should do nearly the equivalent of the current clean target first, except it should not delete ${cluster}/config/Modules/${code.name.base.dashes}.xml (may let it be overwritten). This should prevent ModuleList from detecting the module removal in the middle of the build (due to native file listening?).
Comment 1 Jesse Glick 2011-03-03 00:22:39 UTC
Slightly different approach. Leave the reload target alone, and just make the more general fix of ensuring that Clean & Build does not cause the config file to be temporarily deleted. Useful if you just rebuild a module that happens to be part of a running app.
Comment 2 Jesse Glick 2011-03-03 00:23:22 UTC
core-main #9e9a6cd17821
Comment 3 Quality Engineering 2011-03-04 05:45:58 UTC
Integrated into 'main-golden', will be available in build *201103040000* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/9e9a6cd17821
User: Jesse Glick <jglick@netbeans.org>
Log: #196192: Clean & Build module should not reload it


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo